JUCE: Named< T > Struct Template Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Named< T > Struct Template Reference
juce_core » serialisation

Combines an object with a name. More...

`#include <juce_Serialisation.h>`

## Public Member Functions
auto | operator== (const Named &other) const
auto | operator!= (const Named &other) const
auto | operator< (const Named &other) const
auto | operator<= (const Named &other) const
auto | operator> (const Named &other) const
auto | operator>= (const Named &other) const

## Public Attributes
std::string_view | name
| A name that corresponds to the value.
T & | value
| A reference to a value to wrap.

## Detailed Description

template<typename T>
struct Named< T >

Combines an object with a name.

Instances of Named have reference-like semantics. That is, Named stores a reference to a wrapped value, rather than storing the value internally.

Template Parameters

  T | the type of reference that is wrapped. Passing "const T" will cause the Named instance to hold a "const T&"; passing "T" will cause the Named instance to hold a "T&".

See also
  named()

## Member Function Documentation

## ◆ operator==()

template<typename T >

auto Named< T >::operator== | ( | const Named< T > & | other | ) | const

## ◆ operator!=()

template<typename T >

auto Named< T >::operator!= | ( | const Named< T > & | other | ) | const

## ◆ operator<()

template<typename T >

auto Named< T >::operator< | ( | const Named< T > & | other | ) | const

## ◆ operator<=()

template<typename T >

auto Named< T >::operator<= | ( | const Named< T > & | other | ) | const

## ◆ operator>()

template<typename T >

auto Named< T >::operator> | ( | const Named< T > & | other | ) | const

## ◆ operator>=()

template<typename T >

auto Named< T >::operator>= | ( | const Named< T > & | other | ) | const

## Member Data Documentation

## ◆ name

template<typename T >

std::string_view Named< T >::name

A name that corresponds to the value.

## ◆ value

template<typename T >

T& Named< T >::value

A reference to a value to wrap.

The documentation for this struct was generated from the following file:

- juce_Serialisation.h